# $Revision: 1.19 $, $Date: 2006/09/19 21:20:34 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
#
%define		_name	smbldap_tools
%include	/usr/lib/rpm/macros.perl
Summary:	User & Group administration tools for Samba-OpenLDAP
Summary(pl):	Narzdzia do administracji uytkownikami i grupami dla Samby i OpenLDAP
Name:		smbldap-tools
Version:	0.9.2
Release:	2
License:	GPL
Group:		Applications/Networking
URL:		http://sourceforge.net/projects/smbldap-tools
Source0:	http://dl.sourceforge.net/smbldap-tools/%{name}-%{version}a.tgz
# Source0-md5:	bb8eb44adb4e7946de5b486acf480c24
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-configure.patch
Patch2:		%{name}-nscd.patch
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps}
BuildRequires:	perl-Crypt-SmbHash
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-ldap
%endif
Requires:	openldap
Requires:	samba
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In settings with OpenLDAP and Samba-LDAP servers, this collection is
useful to add, modify and delete users and groups, and to change Unix
and Samba passwords. In those context they replace the system tools to
manage users, groups and passwords.

%description -l pl
W poczeniu z OpenLDAP i serwerami Samba-LDAP ten zestaw narzdzi
jest uyteczny przy dodawaniu, modyfikowaniu i usuwaniu uytkownikw i
grup oraz zmianie hase w Uniksie i Sambie. W tym zastosowaniu mog
zastpi narzdzia systemowe do zarzdzania uytkownikami, grupami i
hasami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	prefix=%{_prefix} \
	sbindir=%{_sbindir} \
	sysconfdir=%{_sysconfdir} \
	DESTDIR=$RPM_BUILD_ROOT

rm -f  $RPM_BUILD_ROOT%{_sbindir}/%{name}.spec
install -d $RPM_BUILD_ROOT%{perl_vendorlib}
mv -f $RPM_BUILD_ROOT%{_sbindir}/%{_name}.pm $RPM_BUILD_ROOT%{perl_vendorlib}
install configure.pl $RPM_BUILD_ROOT%{_sbindir}/smbldap-configure

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog FILES INFRA README INSTALL TODO
%doc smb.conf smbldap.conf smbldap_bind.conf doc/html doc/smbldap*
%dir %{_sysconfdir}/smbldap-tools
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%{perl_vendorlib}/%{_name}.pm
%attr(600,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smbldap-tools.spec,v $
Revision 1.19  2006/09/19 21:20:34  glen
- use sourceforge addresses; rel 2

Revision 1.18  2006/09/19 14:32:16  qboosh
- removed COPYING from doc (just GPL)

Revision 1.17  2006/08/03 16:59:21  glen
- call nscd invalidate rather stopping/restarting whole nscd service. needs testing

Revision 1.16  2006/06/15 19:46:17  glen
- 0.9.2

Revision 1.15  2006/03/01 14:51:31  glen
- package smbldap-configure (useful to autoconfigure after smb.conf is properly setup), rel 4

Revision 1.14  2006/02/28 14:38:22  glen
- autogenerate perl deps
- noarch
- rel 3

Revision 1.13  2005/12/29 19:36:56  glen
- rel 2

Revision 1.12  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.11  2005/07/05 14:15:20  darekr
- missing dir

Revision 1.10  2005/07/05 14:13:52  glen
- rel 1; STBR (the one in ftp doesn't have any perl deps!)

Revision 1.9  2005/06/03 11:49:14  mwinkler
- wkoncu ... +req

Revision 1.8  2005/06/03 11:04:59  mwinkler
- some fixes, rel 0.2

Revision 1.7  2005/06/01 13:48:24  mwinkler
- up to 0.9.1, rel 0.1

Revision 1.6  2005/04/18 16:58:25  mwinkler
- doc scripts for migrate

Revision 1.5  2005/04/18 16:34:24  mwinkler
- requires openldap

Revision 1.4  2005/04/18 16:24:01  mwinkler
- more requires and patches

Revision 1.3  2005/04/18 16:17:21  mwinkler
- requires and small fix (nfy)

Revision 1.2  2005/04/18 16:09:19  mwinkler
- up to 0.8.1
- rel 0.1

Revision 1.1  2004/08/05 21:29:56  undefine
- initital pld version based on spec from
  http://samba.idealx.org/dist/redhat-9/smbldap-tools-0.8.5-1.src.rpm
